<?
$defines = Zend_Registry::get('defines');

function render_lng_picker()
{
    $html = '<div class="lng-picker" style="display:none;">';

    foreach (Cubix_I18n::getLangs(false) as $id => $title) {
        $html .= '<span cx:lng="' . $id . '"><img width="16" height="11" alt="' . $title . '" title="' . $title . '" src="' . _st('flags/' . $id . '.png') . '" /></span>';
    }

    $html .= '</div>';

    return $html;
}

$lng_levels = array(
    '24' => __('lng_level_basic'),
    '49' => __('lng_level_fare'),
    '74' => __('lng_level_good'),
    '100' => __('lng_level_excellent')
);

?>
<div class="right-section agency-profile-page">
    <div class="section-subtitle uppercase"><?= __('private_agency_profile_title') ?> </div>
    <div class="box-section inputs-container">
        <p class="text-grey"><?= __('private_agency_profile_desc') ?></p>
        <div class="clear mb-10"></div>
        <div class="escort-container-info d-flex flex-wrap flex-md-nowrap align-items-center">
            <div class="w-100 d-flex agency-picter-bar">
                <div class="mb-3">
                    <? if ($this->avatar): ?>
                        <div class="image bg-image agency-avatar" id="profile-pic" style="background-image: url(<?= $this->avatar ?>);"></div>
                    <? else: ?>
                        <div class="image bg-image agency-avatar" id="profile-pic"
                             style="background-image: url('/images/default-image.jpeg');"></div>
                    <? endif; ?>
                </div>
                <div>
                    <div class="escort-info agency-info">
                        <div class="d-flex desktop flex-wrap flex-md-nowrap align-items-center justify-content-center justify-content-md-start">
                            <!--                    <div class="vip-status uppercase">vip</div>-->
                            <div class="name"><?= $this->agency_data['name'] ?></div>
                        </div>
                        <a href="<?= $this->agency_data['web'] ?>" target="_blank" class="text-grey desktop"><?= $this->agency_data['web'] ?></a>
                        <p class="desktop"><a href="mailto:name@email.com"><?= $this->agency_data['email'] ?></a></p>
                        <div class="clear mb-10"></div>

                        <form class="agency-photo-upload-form" data-type="profile"
                              action="/private/agency-logo?a=upload">
                            <input type="file" class="d-none" id="agency-profile-pic-file" name="file" accept="image/*">
                            <a href="#" data-target="#agency-profile-pic-file"
                               class="btn btn-grey image-trigger btn-medium btn-bold text-uppercase"><?= __('add_replace_photo') ?></a>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- Progress Bar-->
        <div class="progress-wrapper profile-pics-progress-bar my-4" style="display: none;">
            <p class="process-status text-grey">
                <span class="text"></span>
                <i class="fas fa-times close" data-file-type="profile"></i>
            </p>

            <div class="progress-info">
                <?= __('file_progress') ?> ...
                <i class="far fa-trash-alt close abort-upload" data-abort-target="profile"></i>
            </div>

            <div class="progress mt-2">
                <div class="progress-bar progress-bar-striped"></div>
            </div>
        </div>
        <!-- / -->

        <form class="form ajax-form agency-profile-page" method="post" action="/private/agency-profile" >
            <div class="clear mb-40"></div>
            <!-- Errors-->
            <div class="errors-container" id="errors-container" style="display: none;">
                <div class="section-subtitle uppercase">
                    <?= __('errors') ?>
                </div>
                <div class="box-section py-3 px-0">
                    <ol>
                        <li class="visible-on-error">
                            <p id="validation-agency_name"></p>
                        </li>
                        <li class="visible-on-error">
                            <p id="validation-phone"></p>
                        </li>
                        <li class="visible-on-error">
                            <p id="validation-phone_prefix"></p>
                        </li>
                        <li class="visible-on-error">
                            <p id="validation-email"></p>
                        </li>
                        <li class="visible-on-error">
                            <p id="validation-web"></p>
                        </li>
                        <li class="visible-on-error">
                            <p id="validation-language_error"></p>
                        </li>
                        <li class="visible-on-error">
                            <p id="validation-language_error"></p>
                        </li>
                    </ol>
                </div>
            </div>
            <!-- / -->
            <p class="text-grey"><?= __('profile_details') ?></p>
            <div class="clear mb-10"></div>
            <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                <input id="agency_name" type="text" name="agency_name" value="<?= $this->agency_data['name'] ?>"
                       placeholder="<?= __('agency_name') ?>">
            </div>
            <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                <input id="email" type="text" name="email" value="<?= $this->agency_data['email'] ?>"
                       placeholder="<?= __('booking_email') ?>">
            </div>
            <div>
                <input type="checkbox" id="email_to_all_escorts" name="email_to_all_escorts" value="incall-checked">
                <label for="email_to_all_escorts"><?= __('apply_email_to_all_escorts') ?></label>
            </div>
            <div class="clear mb-20"></div>
            <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                <input id="web" type="text" name="web" value="<?= $this->agency_data['web'] ?>"
                       placeholder="<?= __('pv2_label_website_url') ?>">
            </div>
            <div>
                <input type="checkbox" id="website_to_all_escorts" value="1" name="website_to_all_escorts"
                       value="incall-checked">
                <label for="website_to_all_escorts"><?= __('apply_website_to_all_escorts') ?></label>
            </div>
            <div class="clear mb-20"></div>

            <!-- Country-->
            <? $model = new Cubix_Geography_Countries() ?>
            <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                <div class="dropdown">
                    <select class="single-option-select d-none" name="country_id" id="country">
                        <? foreach ($model->ajaxGetAll(false) as $country): ?>
                            <? if ($this->agency_data['country_id'] == $country->id) $primary_country_code = $country->title ?>
                            <option value="<?= $country->id ?>" <?= $this->agency_data['country_id'] == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?>
                                &nbsp;
                            </option>
                        <? endforeach; ?>
                    </select>
                    <a class="dropdown-toggle" id="countryFilter" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <label class="uppercase"><?= strtolower(__('pv2_label_country')) ?></label>
                        <span class="dropdown-toggle-val uppercase">
                        <?= $primary_country_code ? $primary_country_code : __('nothing_selected_html') ?>
                    </span>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="countryFilter">
                        <? foreach ($model->ajaxGetAll(false) as $country): ?>
                            <li data-val="<?= $country->id ?>"><a href="javascript:void(0)"><?= $country->title ?></a>
                            </li>
                        <? endforeach; ?>
                    </ul>
                </div>
            </div>

            <!-- Cities-->
            <? $model = new Cubix_Geography_Cities() ?>
            <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                <div class="dropdown">
                    <select class="single-option-select d-none" name="city_id" id="cities">
                        <? if ($this->agency_data['country_id']): ?>
                            <? foreach ($model->ajaxGetAll(null, $this->agency_data['country_id']) as $city): ?>
                                <? if ($this->agency_data['city_id'] == $city->id) $primary_city = $country->title ?>
                                <option value="<?= $city->id ?>" <?= $this->agency_data['city_id'] == $city->id ? ' selected="selected"' : '' ?>>
                                    <?= $city->title ?>
                                </option>
                            <? endforeach; ?>
                        <? endif ?>
                    </select>
                    <a class="dropdown-toggle" id="citiesFilter" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <label class="uppercase"><?= strtolower(__('city')) ?></label>
                        <span class="dropdown-toggle-val uppercase">
                            <?= $primary_city ? $primary_city : __('nothing_selected_html') ?>
                        </span>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="citiesFilter">
                        <? foreach ($model->ajaxGetAll(null, $this->agency_data['country_id']) as $city): ?>
                            <li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?></a>
                            </li>
                        <? endforeach; ?>
                    </ul>
                </div>
            </div>

            <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                <input id="phone_instr" type="text" name="phone_instr"
                       value="<?= $this->agency_data['phone_instructions'] ?>"
                       placeholder="<?= __('phone_instructions') ?>">
            </div>

            <!-- Cities-->
            <? $countries = new Model_Countries();?>
            <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                <div class="dropdown">
                    <select class="single-option-select d-none" name="phone_prefix" id="phone_prefix">
                        <? foreach($this->countries as $country):?>image bg-image agency-avatar
                            <option value=""></option>
                            <? if((isset($this->phone_prefix_id) && $country->id == $this->phone_prefix_id)) $primary_phone_prefix = $country->title . '(+' .  $country->phone_prefix . ')' ?>
                            <option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= (isset($this->phone_prefix_id) && $country->id == $this->phone_prefix_id) ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
                        <? endforeach; ?>
                    </select>
                    <a class="dropdown-toggle" id="phone_prefix-select" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <label><?= __('country_call_code') ?></label>
                        <span class="dropdown-toggle-val uppercase">
                            <?= $primary_phone_prefix ? $primary_phone_prefix : __('nothing_selected_html') ?>
                        </span>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="phone_prefix-select">
                        <? foreach($this->countries as $country):?>
                            <li data-val="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>"><a href="javascript:void(0)"><?= $country->title ?> (+<?= $country->phone_prefix ?>) </a>
                            </li>
                        <? endforeach; ?>
                    </ul>
                </div>
            </div>

            <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                <input id="phone" type="text" class="txt" name="phone" placeholder="<?= __('phone') ?>" value="<?= $this->agency_data['phone'] ?>" />
            </div>

            <div class="d-flex flex-wrap flex-md-nowrap">
                <div class="mr-20">
                    <input type="checkbox" id="viber" name="viber"
                           value="1" <?= $this->agency_data['viber'] ? ' checked="checked"' : '' ?>>
                    <label for="viber" class="text-truncate">Viber</label>
                </div>
                <div class="mr-20">
                    <input type="checkbox" id="whatsapp" name="whatsapp"
                           value="1" <?= $this->agency_data['whatsapp'] ? ' checked="checked"' : '' ?>>
                    <label for="whatsapp" class="text-truncate">Whatsapp</label>
                </div>
                <div class="mr-20">
                    <input type="checkbox" id="incall_check" name="phone_to_all_escorts" value="incall-checked"
                           checked="">
                    <label for="incall_check"><?= __('apply_phone_to_all_escorts') ?></label>
                </div>
            </div>
            <div class="clear mb-20"></div>
            <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
                <div class="editor-container" id="editor-container">
                    <div class="head">
                        <?
                        $langs = Cubix_I18n::getLangs(false);
                        $defaultLang = Cubix_Application::getDefaultLang();

                        foreach ($langs as $i => $lng) {
                            if ($i == $defaultLang) {
                                unset($langs[$i]);
                                $langs = array($i => $lng) + $langs;
                                break;
                            }
                        }
                        ?>

                        <ul class="nav nav-tabs">
                            <? foreach ($langs as $id => $title): ?>
                                <li class="nav-item " cx:lng="<?= $id ?>"
                                    cx:lng_d="<?= strlen($this->data['about_' . $id]) ? 1 : 0 ?>">
                                    <a data-parent="#editor-container"
                                       class="nav-link custom <?= $id == $this->lang() ? 'active' : '' ?>"
                                       data-toggle="tab" href="#container-about-<?= $id ?>">
                                        <span class="flag-icon flag-icon-<?= $id ?>"></span>
                                    </a>
                                </li>
                            <? endforeach; ?>
                        </ul>

                    </div>
                    <div class="body tab-content">
                        <? foreach (Cubix_I18n::getLangs(false) as $lng => $title): ?>
                            <div class="tab-pane container <?= $lng == $this->lang() ? 'active show' : '' ?>"
                                 id="container-about-<?= $lng ?>">
                                <textarea class="tinymce-editor" id="about-<?= $lng ?>"
                                          name="about_<?= $lng ?>"><?= $this->agency_data['about_' . $lng] ?></textarea>
                            </div>
                        <? endforeach ?>
                    </div>
                </div>

                <div class="clear mb-30"></div>
                <p class="text-grey"><?= __('private_agency_profile_services_desc') ?></p>
                <div class="clear mb-10"></div>

                <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
                    <textarea id="about_services" name="about_services" maxlength="200" ><?= $this->agency_data['about_services'] ?></textarea>
                </div>

                <div class="clear mb-30"></div>
                <p class="text-grey"><?= __('private_agency_profile_areas_covered_desc') ?></p>
                <div class="clear mb-10"></div>

                <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
                    <textarea id="about_areas_covered" name="about_areas_covered" maxlength="200" ><?= $this->agency_data['about_areas_covered'] ?></textarea>
                </div>

                <?
                $already_selected_languages = [];
                foreach ($this->agency_data['languages_ed'] as $lng) {
                    $already_selected_languages[] = $lng['lang_id'];
                }
                ?>
                <!-- Languages -->
                <p class="text-grey"><?= __('pv2_select_language') ?> </p>
                <a href="#" title="" class="icon-error none" data-for="language_error"></a>
                <div class="clear mb-10"></div>
                <div class="d-flex div-2-cols">
                    <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none" name="all_languages" id="language_picker">
                                <? foreach ( $defines['language_options'] as $i => $title ): ?>
                                    <option value="<?= $i ?>">
                                        <?= $title ?>
                                    </option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="language_picker_holder" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <label><?= __('pv2_select_language') ?></label>
                                <span class="dropdown-toggle-val uppercase pristine"><span class="nothing-selected"><?= __('nothing_selected') ?></span></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="language_picker_holder">
                                <? foreach ( $defines['language_options'] as $i => $title ): ?>
                                    <li class="<?= in_array($i, $already_selected_languages) ? 'disabled' : '' ?>" data-val="<?= $i ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>
                    <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none" name="lng-lev" id="language_level">
                                <option value="24"><?= __('lng_level_basic') ?></option>
                                <option value="49"><?= __('lng_level_fare') ?></option>
                                <option value="74"><?= __('lng_level_good') ?></option>
                                <option value="100"><?= __('lng_level_excellent') ?></option>
                            </select>
                            <a class="dropdown-toggle" id="language_level_holder" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <label><?= __('pv2_proficiency') ?></label>
                                <span class="dropdown-toggle-val uppercase pristine"><span class="nothing-selected"><?= __('nothing_selected') ?></span></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="language_level_holder">
                                <li data-val="24"><a href="javascript:void(0)"><?= __('lng_level_basic') ?></a></li>
                                <li data-val="49"><a href="javascript:void(0)"><?= __('lng_level_fare') ?></a></li>
                                <li data-val="74"><a href="javascript:void(0)"><?= __('lng_level_good') ?></a></li>
                                <li data-val="100"><a href="javascript:void(0)"><?= __('lng_level_excellent') ?></a></li>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="clear mb-20"></div>
                <div class="d-flex justify-content-end">
                    <div class="btn btn-blue-dark uppercase add-language-trigger"><?= __('pv2_add_this_language') ?></div>
                </div>

                <div class="clear mb-30"></div>
                <p class="text-grey"><?= __('pv2_my_languages') ?></p>
                <div class="clear mb-10"></div>
                <div class="my-languages-container" >
                    <? if( count($this->agency_data['languages_ed']) ): ?>
                        <? foreach( $this->agency_data['languages_ed'] as $i => $lng ): ?>
                            <div class="my-language justify-content-between" data-id="<?= $lng['lang_id'] ?>">
                                <div class="language-name"><?= $defines['language_options'][$lng['lang_id']] ?> <span class="text-grey">(<?= $lng_levels[$lng['level']] ?>)</span></div>
                                <div class="language-remove text-grey d-flex align-items-center">
                                    <p class="uppercase"><?= __('remove') ?></p>
                                    <i class="fa fa-times"></i>
                                </div>
                                <input type="hidden" name="langs[<?= $lng['lang_id'] ?>]" value="<?= $lng['level'] ?>" init-value="<?= $lng['level'] ?>" />
                            </div>
                        <? endforeach; ?>
                    <? endif; ?>
                </div>

            </div>


        <!-- Working Schedule           -->
            <div class="clear mb-30"></div>
            <div class="d-flex justify-content-between align-items-center underline">
                <p class="text-grey">
                    <?= __('pv2_label_working_schedule') ?>
                </p>

            </div>
            <div class="clear mb-20"></div>
            <div class="weekdays-container">

                <? for ($j = 1; $j <= 7; $j++) : ?>
                    <? $chk = false;

                    foreach ($this->agency_data['working_times_ed']  as $time) {
                        if ($time['day_index'] == $j) {
                            $chk = $time;
                            break;
                        }
                    }

                    $day = $this->getWeekDay2($j);
                    $id = 'pv2_weekday_' . strtolower($day);
                    ?>
                    <div class="div-2-cols datepicker-row mb-2 common-services-filters d-flex justify-content-between align-items-center">
                        <div class="checkbox-container">
                            <input id="day-<?= $j ?>" type="checkbox" name="day_index[<?= $j ?>]" value="1" <?=$chk ? ' checked="checked"' :
                                '' ?> />
                            <label for="day-<?= $j ?>">
                                <?= __($id) ?></label>
                        </div>

                        <div class="d-flex div-2-cols flex-nowrap">
                            <div class="autocomplete-container d-flex flex-grow-1 mb-10" style="min-width: initial;max-width: initial;">
                                <input type="text" placeholder="<?= _('start') ?> " value="<?= $chk ? $chk['time_from'] . ':' . ( strlen($chk['time_from_m']) <= 1 ? $chk['time_from_m'] . '0' : $chk['time_from_m'] ) : ''  ?>" <?= $chk ? '' : 'disabled' ?> class="time start p-2" name="time_from[<?= $j ?>]">
                            </div>

                            <div class="autocomplete-container d-flex flex-grow-1 mb-10" style="min-width: initial;max-width: initial;">
                                <input type="text" placeholder="<?= _('end') ?> " value="<?= $chk ? $chk['time_to'] . ':' .( strlen( $chk['time_to_m']) <= 1 ?  $chk['time_to_m'] . '0' :  $chk['time_to_m'] )  : '' ?>" <?= $chk ? '' : 'disabled' ?> class="time end p-2"  name="time_to[<?= $j ?>]">
                            </div>
                        </div>

                    </div>

                <? endfor; ?>
            </div>
        </form>
</div>

<div class="clear mb-30"></div>
    <div class="d-flex form-save-reset-panel align-items-center">
        <a class="uppercase text-grey mr-30 discard-profile-changes"><?= __('reset') ?></a>
        <a href="#" class="btn btn-big btn-brown btn-bold submit-profile uppercase"><?= __('pv2_save_changes') ?></a>
    </div>
    <div class="clear mb-40"></div>
</div>

<div class="modal ed-modal" tabindex="-1" role="dialog" id="no_provider_popup" style="z-index: 100000;">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-breadcrumb">
                <i class="fas fa-arrow-left" data-dismiss="modal"></i>
                <span data-dismiss="modal"><?= __('back')?></span>
            </div>
            <div class="modal-header">
                <h5 class="modal-title"><?= __('important_info')?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p class="description"><?= __('agency_no_provider_desc')?></p>
                <div class="row mb-3">
                    <div class="col-12">
                        <input type="checkbox" id="dont_show_again" name="dont_show_again" value="1">
                        <label for="dont_show_again"><?= __('dont_show_again') ?></label>
                    </div>
                </div>
                <div class="modal-footer px-0">
                    <button type="button" id="skip-adding-provider" class="btn" data-dismiss="modal"><?= __('not_now')?></button>
                    <a href="#add-new" class="btn btn-brown"><?= __('add_provider')?></a>
                </div>
            </div>
        </div>
    </div>
</div>
